Overview
POST
/themesthemesCreate a live theme (staging/testing only)
Create a record in themes.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- keystring
DNS-ish slug, unique among live themes
- labelstring
- basedOnoptionalstring?
the seed theme key this derives from
- dataobject
Example
{
"key": "string",
"label": "string",
"basedOn": "string",
"data": {}
}Responses
201
Created theme
- keystring
- labelstring
- basedOnstring?
- dataobject
- createdAtstring
- updatedAtstring
Example
{
"key": "string",
"label": "string",
"basedOn": "string",
"data": {},
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/themes" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"label": "string",
"basedOn": "string",
"data": {}
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/themes", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"key\": \"string\",\n \"label\": \"string\",\n \"basedOn\": \"string\",\n \"data\": {}\n}",
});
const data = await res.json();